<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="subplot">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>subplot</refname>
    <refpurpose> divide a graphics window into a matrix of sub-windows</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>subplot(m,n,p)
subplot(mnp)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>m,n,p</term>
        <listitem>
          <para>positive integers</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>mnp</term>
        <listitem>
          <para>an integer with decimal notation <literal>mnp</literal></para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    subplot(m,n,p) or subplot(mnp) breaks the graphics window
    into an m-by-n matrix of sub-windows and selects the p-th sub-window
    for drawing  the current plot.  The number of a sub-window into the
    matrices is counted row by row ie the sub-window corresponding to element
    (i,j) of the matrix has number (i-1)*n + j.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
subplot(221)
plot2d()
subplot(222)
plot3d()
subplot(2,2,3)
param3d()
subplot(2,2,4)
hist3d()
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="plot2d">plot2d</link>
      </member>
      <member>
        <link linkend="plot3d">plot3d</link>
      </member>
      <member>
        <link linkend="xstring">xstring</link>
      </member>
      <member>
        <link linkend="xtitle">xtitle</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
